# Irssi Autospeak
 Written ByJeremiah Ticket and contributers!

Adds speech to some events.

This script requires you have espeak-ng installed and in your path.

## Usage
Place autospeak.pl in .irssi/scripts/

Then in irssi do:

    /script load autospeak

If you want to autorun the script, place the script in or simlink to ~/.irssi/scripts/autorun/

### Automated Install
There is a basic install script, just run:

    ./install

This install script creates the folder ~/.irssi/scripts/autorun if it doesn't exist and simlinks the script to start automatically.

## Configuration
This script has some settings. Use the /set command to set them.
- speech_voice <voice> - espeak-ng voice to use (default is en-us)
- speech_rate <digits> - speech rate in words per minute (default is 175)
- speak_public_messages <on/off> - Speak public messages; This does not speak all messages. This only speaks when you are directly spoken to. (Default is on)
- speak_indirect_messages - Speaks indirect messages in public channels, reguardless of where your nick sits in the message; If this if off, public messages will only pseak if directly addressed to you. (Default is off)
- speak_private_messages <on/off> - Speaks incoming private messages. (Default is on)
- speak_active_window <on/off> - Speaks the currently focused window (Default is off)
- speak_dcc_messages <on/off> - Speaks DCC messages; Notifys if a file transfer or dcc chat request.

### Explanation of Public Message Speaking
This script is designed not to be very spammy. Public messages only speak when you are directly addressed, unless you have the speak_indirect_message setting on, then it speaks no matter where in the message  you are mensioned.

#### Examples
When only speak_public_messages is on,

    "<someone> jticket: Hi there!" Will be spoken.
    "<someone> Hi there jticket!" will not automatically be spoken.
    "<someone> This is a test" Will never be spoken automatically.

When speak_public_messages and speak_indirect_messages is on, both will be spoken, but the last will still not be spoken.
